Skip to main content

Get Org Settings

GET 

/api/v1/org/:org_id/settings/get

Get settings for an organization.

Args: org_id (str): the id of the organization settings_key (str): optional, the key of the settings. db (AsyncSession): The data base to use in the repository org_member (OrgMember): The member to verify if the user is authorized to create a credential

Returns

OrgSettings: The settings that was just created

Observations: Only ADMIN and SUPERADMIN users can create any setting Internal systems can use the route passing the SECRET_KEY in the header If the user is not ADMIN or SUPERADMIN, he can only create their own settings If the settings_key is not provided, all settings will be returned in a list If the settings_key is provided, only the settings with that key will be returned

Request

Responses

Successful Response